=== debian/changelog ===
libindi (2.1.6) jammy; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 2 Oct 2025 10:00:00 +0300

libindi (2.1.5) jammy; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 10 Aug 2025 10:00:00 +0300

libindi (2.1.4) jammy; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 1 Jun 2025 10:00:00 +0300

libindi (2.1.3) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 1 Apr 2025 10:00:00 +0300

libindi (2.1.2) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 1 Feb 2025 10:00:00 +0300

libindi (2.1.1) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 2 Dec 2024 10:00:00 +0300

libindi (2.1.0) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 1 Oct 2024 10:00:00 +0300

libindi (2.0.9) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 2 Aug 2024 10:00:00 +0300

libindi (2.0.8) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 1 Jun 2024 10:00:00 +0300

libindi (2.0.7) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 1 Apr 2024 10:00:00 +0300

libindi (2.0.6) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 1 Feb 2024 10:00:00 +0300

libindi (2.0.5) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 1 Dec 2023 10:00:00 +0300

libindi (2.0.4) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 1 Oct 2023 10:00:00 +0300

libindi (2.0.3) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 1 Aug 2023 10:00:00 +0300

libindi (2.0.2) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 9 Apr 2023 10:00:00 +0300

libindi (2.0.1) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 4 Feb 2023 10:00:00 +0300

libindi (2.0.0) focal; urgency=medium

  * Major release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 8 Jan 2023 10:00:00 +0300

libindi (1.9.9) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 15 Oct 2022 09:00:00 +0300

libindi (1.9.8) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 31 Jul 2022 15:00:00 +0300

libindi (1.9.7) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 29 May 2022 15:00:00 +0300

libindi (1.9.6) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 21 Mar 2022 15:00:00 +0300

libindi (1.9.5) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 25 Jan 2022 15:00:00 +0300

libindi (1.9.4) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 31 Dec 2021 15:00:00 +0300

libindi (1.9.3) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 15 Sep 2021 15:00:00 +0300

libindi (1.9.2) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 6 Jul 2021 15:00:00 +0300

libindi (1.9.1) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 25 Apr 2021 15:00:00 +0300

libindi (1.9.0) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 04 Mar 2021 15:00:00 +0300

libindi (1.8.9) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 12 Jan 2020 15:00:00 +0300

libindi (1.8.8) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 02 Dec 2020 15:00:00 +0300

libindi (1.8.7) focal; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 22 Aug 2020 15:00:00 +0300

libindi (1.8.6) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 28 Apr 2020 19:00:00 +0300

libindi (1.8.5) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 07 Mar 2020 19:00:00 +0300

libindi (1.8.4) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 18 Jan 2020 19:00:00 +0300

libindi (1.8.3) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 1 Jan 2020 19:00:00 +0300

libindi (1.8.2) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 13 Oct 2019 19:00:00 +0300

libindi (1.8.1) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 13 Aug 2019 19:00:00 +0300

libindi (1.8.0) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 27 Jul 2019 19:00:00 +0300

libindi (1.7.9) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 22 Jun 2019 19:00:00 +0300

libindi (1.7.8) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 11 May 2019 13:00:00 +0300

libindi (1.7.7) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 14 Feb 2019 19:36:00 +0300

libindi (1.7.6) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 01 Dec 2018 01:30:00 +0300

libindi (1.7.5) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 27 Sep 2018 09:30:00 +0300

libindi (1.7.4) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 19 Jul 2018 09:30:00 +0300

libindi (1.7.3) bionic; urgency=medium

  * Minor release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 20 May 2018 09:30:00 +0300


