=== debian/control ===
Source: libindi
Section: misc
Priority: optional
Maintainer: Jasem Mutlaq <mutlaqja@ikarustech.com>
Build-Depends: debhelper (>= 9),
               cdbs,
               cmake (>= 3.0),
               libcfitsio-dev,
               libnova-dev,
               libusb-1.0-0-dev,
               zlib1g-dev,
               libjpeg-dev,
               libgsl-dev,
               libcurl4-gnutls-dev,
               libtheora-dev,
               libogg-dev,
               libfftw3-dev,
               libev-dev,
               librtlsdr-dev,
               libxisf-dev,
Standards-Version: 3.9.5
Homepage: http://www.indilib.org/
Vcs-Git: git://github.com/indilib/indi.git

Package: libindi1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libindi-data (>= ${source:Version}), indi-bin (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
conflicts: libindi0, libindi-plugins, libindialignmentdriver1, libindidriver1
replaces: libindi0, libindi-plugins, libindialignmentdriver1, libindidriver1
Description: Instrument-Neutral Device Interface library -- shared library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libindi1 (= ${binary:Version}), ${misc:Depends}, libusb-1.0-0-dev
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libindi-data (>= ${source:Version})
conflicts: indi-astrolink4, indi-astromechfoc, indi-dreamfocuser, indi-spectracyber
replaces: indi-astrolink4, indi-astromechfoc, indi-dreamfocuser, indi-spectracyber
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

Package: indi-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libindi1 (= ${binary:Version}), ${misc:Depends}
Suggests: indi-bin (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
conflicts: indi-astrolink4-dbg, indi-astromechfoc-dbg, indi-dreamfocuser-dbg, indi-spectracyber-dbg
replaces: indi-astrolink4-dbg, indi-astromechfoc-dbg, indi-dreamfocuser-dbg, indi-spectracyber-dbg
Description: Instrument-Neutral Device Interface library -- debug symbols
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the debug symbols for the INDI library and all the
 utilities, useful to investigate problems in INDI.
